## cube-i-dkms 1.2.0

=== src/Makefile ===
MODULE_NAME = cube-i

KERNEL_PATH ?= /lib/modules/$(shell uname -r)/build

obj-m += cube-i.o

all:
	make -C $(KERNEL_PATH) M=$(PWD) modules

clean:
	make -C $(KERNEL_PATH) M=$(PWD) clean

install:
	make -C $(KERNEL_PATH) M=$(PWD) modules_install

uninstall:
	sudo rmmod $(MODULE_NAME)

=== debian/changelog ===
cube-i-dkms (1.2.0) stretch; urgency=medium

  [Kevin Kim]
  * Changed as disable unloading kernel module
   
 -- HamoniKR <pkg@hamonikr.org>  Thu, 02 May 2024 11:54:41 +0900

cube-i-dkms (1.1.0) stretch; urgency=medium

  [Kevin Kim]
  * Change restric command
   - chattr, setfattr
   
 -- HamoniKR <pkg@hamonikr.org>  Thu, 11 Apr 2024 12:46:50 +0900

cube-i-dkms (1.0.0) stretch; urgency=medium

  [Kevin Kim]
  * gzip required on reprepro version 5.1.1
   
 -- HamoniKR <pkg@hamonikr.org>  Mon, 22 Jan 2024 16:53:24 +0900

=== debian/control ===
Source: cube-i-dkms
Section: admin
Priority: optional
Maintainer: Kevin <hckim@invesume.com>
Build-Depends: debhelper (>= 9), dkms
Standards-Version: 3.9.5
Homepage: 
Vcs-Git: 
Vcs-Browser: 

Package: cube-i-dkms
Architecture: all
Depends: ${misc:Depends}
Replaces: 
Recommends: 
Description: DKMS for cube-i service driver
 A part of cube-i Storage.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_install:
	dh_install src/* usr/src/cube-i-$(DEB_VERSION_UPSTREAM)/

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

# gzip required on reprepro version 5.1.1
override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
    # 모듈 서명 스크립트 호출
    #./scripts/sign-module.sh debian/cube-i/usr/lib/modules/cube-i.ko

override_dh_auto_clean:
